using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;
using Topsdk.Top.Ability414.Domain;

namespace Topsdk.Top.Ability414.Request;

public class TaobaoTbkOrderRefundGetRequest : AbstractTopApiRequest
{

    /*
        全量维权订单查询入参
            */
    private TaobaoTbkOrderRefundGetPublisherRefundOrderQueryOption? publisherRefundOrderQueryOption;


    [JsonPropertyName("publisher_refund_order_query_option")]
    public TaobaoTbkOrderRefundGetPublisherRefundOrderQueryOption? PublisherRefundOrderQueryOption
    {
        get => publisherRefundOrderQueryOption;
        set => this.publisherRefundOrderQueryOption = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.publisherRefundOrderQueryOption != null)
        {
            requestParam.Add("publisher_refund_order_query_option",TopUtils.ConvertStruct(this.publisherRefundOrderQueryOption));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.order.refund.get";
    }

}

